Subject: [bug#38108] [PATCH v2] doc: Fix typos.

From: zimoun <[email-masked]>
Date: Fri, 22 May 2020 01:55:33 +0200

* doc/guix.texi: Fix typos.
---
 doc/contributing.texi |  2 +-
 doc/guix.texi         | 86 +++++++++++++++++++++----------------------
 2 files changed, 44 insertions(+), 44 deletions(-)

diff --git a/doc/contributing.texi b/doc/contributing.texi
index 44bec00236..0ef5e2cc0a 100644
--- a/doc/contributing.texi
+++ b/doc/contributing.texi
@@ -501,7 +501,7 @@ It is a good idea to strip commit identifiers in the @code{version}
 field to, say, 7 digits.  It avoids an aesthetic annoyance (assuming
 aesthetics have a role to play here) as well as problems related to OS
 limits such as the maximum shebang length (127 bytes for the Linux
-kernel.)  It is best to use the full commit identifiers in
+kernel).  It is best to use the full commit identifiers in
 @code{origin}s, though, to avoid ambiguities.  A typical package
 definition may look like this:
 
diff --git a/doc/guix.texi b/doc/guix.texi
index 216422fe31..18bf554c1e 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -609,7 +609,7 @@ you may have to run @code{su -} or @code{sudo -i}.  As @code{root}, run:
 
 This creates @file{/gnu/store} (@pxref{The Store}) and @file{/var/guix}.
 The latter contains a ready-to-use profile for @code{root} (see next
-step.)
+step).
 
 Do @emph{not} unpack the tarball on a working Guix system since that
 would overwrite its own essential files.
@@ -617,10 +617,10 @@ would overwrite its own essential files.
 The @option{--warning=no-timestamp} option makes sure GNU@tie{}tar does
 not emit warnings about ``implausibly old time stamps'' (such
 warnings were triggered by GNU@tie{}tar 1.26 and older; recent
-versions are fine.)
+versions are fine).
 They stem from the fact that all the
 files in the archive have their modification time set to zero (which
-means January 1st, 1970.)  This is done on purpose to make sure the
+means January 1st, 1970).  This is done on purpose to make sure the
 archive content is independent of its creation time, thus making it
 reproducible.
 
@@ -705,7 +705,7 @@ there:
 That way, assuming @file{/usr/local/share/info} is in the search path,
 running @command{info guix} will open this manual (@pxref{Other Info
 Directories,,, texinfo, GNU Texinfo}, for more details on changing the
-Info search path.)
+Info search path).
 
 @item
 @cindex substitutes, authorization thereof
@@ -1363,7 +1363,7 @@ build failed and the client specified @option{--keep-failed}
 (@pxref{Invoking guix build, @option{--keep-failed}}).
 
 The daemon listens for connections and spawns one sub-process for each session
-started by a client (one of the @command{guix} sub-commands.)  The
+started by a client (one of the @command{guix} sub-commands).  The
 @command{guix processes} command allows you to get an overview of the activity
 on your system by viewing each of the active sessions and clients.
 @xref{Invoking guix processes}, for more information.
@@ -2292,7 +2292,7 @@ mkfs.ext4 -L my-root /dev/sda2
 If you are instead planning to encrypt the root partition, you can use
 the Cryptsetup/LUKS utilities to do that (see @inlinefmtifelse{html,
 @uref{https://linux.die.net/man/8/cryptsetup, @code{man cryptsetup}},
-@code{man cryptsetup}} for more information.)  Assuming you want to
+@code{man cryptsetup}} for more information).  Assuming you want to
 store the root partition on @file{/dev/sda2}, the command sequence would
 be along these lines:
 
@@ -2764,7 +2764,7 @@ Install the specified @var{package}s.
 Each @var{package} may specify either a simple package name, such as
 @code{guile}, or a package name followed by an at-sign and version number,
 such as @code{guile@@1.8.8} or simply @code{guile@@1.8} (in the latter
-case, the newest version prefixed by @code{1.8} is selected.)
+case, the newest version prefixed by @code{1.8} is selected).
 
 If no version number is specified, the
 newest available version will be selected.  In addition, @var{package}
@@ -3368,7 +3368,7 @@ When using HTTPS, the server's X.509 certificate is @emph{not} validated
 HTTPS clients such as Web browsers usually do.  This is because Guix
 authenticates substitute information itself, as explained above, which
 is what we care about (whereas X.509 certificates are about
-authenticating bindings between domain names and public keys.)
+authenticating bindings between domain names and public keys).
 
 @node Proxy Settings
 @subsection Proxy Settings
@@ -4563,7 +4563,7 @@ The main options are:
 
 @table @code
 @item --export
-Export the specified store files or packages (see below.)  Write the
+Export the specified store files or packages (see below).  Write the
 resulting archive to the standard output.
 
 Dependencies are @emph{not} included in the output, unless
@@ -4580,7 +4580,7 @@ exported store items.
 Read an archive from the standard input, and import the files listed
 therein into the store.  Abort if the archive has an invalid digital
 signature, or if it is signed by a public key not among the authorized
-keys (see @option{--authorize} below.)
+keys (see @option{--authorize} below).
 
 @item --missing
 Read a list of store file names from the standard input, one per line,
@@ -4596,7 +4596,7 @@ to generate the key pair.
 
 The generated key pair is typically stored under @file{/etc/guix}, in
 @file{signing-key.pub} (public key) and @file{signing-key.sec} (private
-key, which must be kept secret.)  When @var{parameters} is omitted,
+key, which must be kept secret).  When @var{parameters} is omitted,
 an ECDSA key using the Ed25519 curve is generated, or, for Libgcrypt
 versions before 1.6.0, it is a 4096-bit RSA key.
 Alternatively, @var{parameters} can specify
@@ -4912,7 +4912,7 @@ interpreted as packages that will be added to the environment directly.
 
 @item --pure
 Unset existing environment variables when building the new environment, except
-those specified with @option{--preserve} (see below.)  This has the effect of
+those specified with @option{--preserve} (see below).  This has the effect of
 creating an environment in which search paths only contain package inputs.
 
 @item --preserve=@var{regexp}
@@ -4930,7 +4930,7 @@ guix environment --pure --preserve=^SLURM --ad-hoc openmpi @dots{} \
 This example runs @command{mpirun} in a context where the only environment
 variables defined are @env{PATH}, environment variables whose name starts
 with @samp{SLURM}, as well as the usual ``precious'' variables (@env{HOME},
-@env{USER}, etc.)
+@env{USER}, etc.).
 
 @item --search-paths
 Display the environment variable definitions that make up the
@@ -4951,7 +4951,7 @@ directory is created that matches the current user's home directory, and
 
 The spawned process runs as the current user outside the container.  Inside
 the container, it has the same UID and GID as the current user, unless
-@option{--user} is passed (see below.)
+@option{--user} is passed (see below).
 
 @item --network
 @itemx -N
@@ -5852,7 +5852,7 @@ Lastly, @code{propagated-inputs} is similar to @code{inputs}, but the
 specified packages will be automatically installed alongside the package
 they belong to (@pxref{package-cmd-propagated-inputs, @command{guix
 package}}, for information on how @command{guix package} deals with
-propagated inputs.)
+propagated inputs).
 
 For example this is necessary when a C/C++ library needs headers of
 another library to compile, or when a pkg-config file refers to another
@@ -7027,7 +7027,7 @@ argument.
 Return @code{#t} when @var{path} designates a valid store item and
 @code{#f} otherwise (an invalid item may exist on disk but still be
 invalid, for instance because it is the result of an aborted or failed
-build.)
+build).
 
 A @code{&store-protocol-error} condition is raised if @var{path} is not
 prefixed by the store directory (@file{/gnu/store}).
@@ -7072,7 +7072,7 @@ directory in the store, but may produce more.
 @cindex dependencies, build-time
 The inputs of the derivations---i.e., its build-time dependencies---which may
 be other derivations or plain files in the store (patches, build scripts,
-etc.)
+etc.).
 
 @item
 The system type targeted by the derivation---e.g., @code{x86_64-linux}.
@@ -7494,7 +7494,7 @@ The store monad---an alias for @code{%state-monad}.
 
 Values in the store monad encapsulate accesses to the store.  When its
 effect is needed, a value of the store monad must be ``evaluated'' by
-passing it to the @code{run-with-store} procedure (see below.)
+passing it to the @code{run-with-store} procedure (see below).
 @end defvr
 
 @deffn {Scheme Procedure} run-with-store @var{store} @var{mval} [#:guile-for-build] [#:system (%current-system)]
@@ -7632,7 +7632,7 @@ into gexps.  For example, a useful type of high-level objects that can be
 inserted in a gexp is ``file-like objects'', which make it easy to
 add files to the store and to refer to them in
 derivations and such (see @code{local-file} and @code{plain-file}
-below.)
+below).
 
 To illustrate the idea, here is an example of a gexp:
 
@@ -7803,7 +7803,7 @@ Like the above, but refers to native builds of the objects listed in
 @end table
 
 G-expressions created by @code{gexp} or @code{#~} are run-time objects
-of the @code{gexp?} type (see below.)
+of the @code{gexp?} type (see below).
 @end deffn
 
 @deffn {Scheme Syntax} with-imported-modules @var{modules} @var{body}@dots{}
@@ -7849,7 +7849,7 @@ Return @code{#t} if @var{obj} is a G-expression.
 G-expressions are meant to be written to disk, either as code building
 some derivation, or as plain files in the store.  The monadic procedures
 below allow you to do that (@pxref{The Store Monad}, for more
-information about monads.)
+information about monads).
 
 @deffn {Monadic Procedure} gexp->derivation @var{name} @var{exp} @
        [#:system (%current-system)] [#:target #f] [#:graft? #t] @
@@ -8860,7 +8860,7 @@ guix build --log-file -e '(@@ (gnu packages guile) guile-2.0)'
 
 If a log is unavailable locally, and unless @option{--no-substitutes} is
 passed, the command looks for a corresponding log on one of the
-substitute servers (as specified with @option{--substitute-urls}.)
+substitute servers (as specified with @option{--substitute-urls}).
 
 So for instance, imagine you want to see the build log of GDB on MIPS,
 but you are actually on an @code{x86_64} machine:
@@ -9084,7 +9084,7 @@ hash (@pxref{Invoking guix archive}).
 @item --exclude-vcs
 @itemx -x
 When combined with @option{--recursive}, exclude version control system
-directories (@file{.bzr}, @file{.git}, @file{.hg}, etc.)
+directories (@file{.bzr}, @file{.git}, @file{.hg}, etc.).
 
 @vindex git-fetch
 As an example, here is how you would compute the hash of a Git checkout,
@@ -9617,7 +9617,7 @@ guix refresh -l -e '(@@@@ (gnu packages commencement) glibc-final)'
 @end example
 
 This command lists the dependents of the ``final'' libc (essentially all
-the packages.)
+the packages).
 
 @item --update
 @itemx -u
@@ -9724,7 +9724,7 @@ be used when passing @command{guix refresh} one or more package names:
 
 @item --list-updaters
 @itemx -L
-List available updaters and exit (see @option{--type} above.)
+List available updaters and exit (see @option{--type} above).
 
 For each updater, display the fraction of packages it covers; at the
 end, display the fraction of packages covered by all these updaters.
@@ -9788,7 +9788,7 @@ When this option is omitted, @command{guix refresh} uses
 @file{~/.config/guix/upstream/trustedkeys.kbx} as the keyring for upstream
 signing keys.  OpenPGP signatures are checked against keys from this keyring;
 missing keys are downloaded to this keyring as well (see
-@option{--key-download} below.)
+@option{--key-download} below).
 
 You can export keys from your default GPG keyring into a keybox file using
 commands like this one:
@@ -10200,7 +10200,7 @@ guix graph --type=reverse-package ocaml
 
 ...@: yields the graph of packages that @emph{explicitly} depend on OCaml (if
 you are also interested in cases where OCaml is an implicit dependency, see
-@code{reverse-bag} below.)
+@code{reverse-bag} below).
 
 Note that for core packages this can yield huge graphs.  If all you want
 is to know the number of packages that depend on a given package, use
@@ -10774,7 +10774,7 @@ When a difference is found between the hash of a locally-built item and
 that of a server-provided substitute, or among substitutes provided by
 different servers, the command displays it as in the example above and
 its exit code is 2 (other non-zero exit codes denote other kinds of
-errors.)
+errors).
 
 The one option that matters is:
 
@@ -11100,7 +11100,7 @@ integration tool; their process identifier (PID) is given by the
 The @code{LockHeld} fields show which store items are currently locked by this
 session, which corresponds to store items being built or substituted (the
 @code{LockHeld} field is not displayed when @command{guix processes} is not
-running as root.)  Last, by looking at the @code{ChildProcess} field, we
+running as root).  Last, by looking at the @code{ChildProcess} field, we
 understand that these three builds are being offloaded (@pxref{Daemon Offload
 Setup}).
 
@@ -11742,7 +11742,7 @@ variables.
 @defvr {Scheme Variable} %base-file-systems
 These are essential file systems that are required on normal systems,
 such as @code{%pseudo-terminal-file-system} and @code{%immutable-store} (see
-below.)  Operating system declarations should always contain at least
+below).  Operating system declarations should always contain at least
 these.
 @end defvr
 
@@ -12571,7 +12571,7 @@ Since this is part of @code{%base-services}, you can use
 @code{modify-services} to customize the set of special files
 (@pxref{Service Reference, @code{modify-services}}).  But the simple way
 to add a special file is @i{via} the @code{extra-special-file} procedure
-(see below.)
+(see below).
 @end defvr
 
 @deffn {Scheme Procedure} extra-special-file @var{file} @var{target}
@@ -14882,7 +14882,7 @@ definition (@pxref{operating-system Reference, system-wide packages}).
 This is the type for the @uref{https://wiki.gnome.org/Projects/GDM/, GNOME
 Desktop Manager} (GDM), a program that manages graphical display servers and
 handles graphical user logins.  Its value must be a @code{gdm-configuration}
-(see below.)
+(see below).
 
 @cindex session types (X11)
 @cindex X11 session types
@@ -16153,7 +16153,7 @@ gnome-session``.  Currently only GNOME has support for Wayland.
 @defvr {Scheme Variable} gnome-desktop-service-type
 This is the type of the service that adds the @uref{https://www.gnome.org,
 GNOME} desktop environment.  Its value is a @code{gnome-desktop-configuration}
-object (see below.)
+object (see below).
 
 This service adds the @code{gnome} package to the system profile, and extends
 polkit with the actions from @code{gnome-settings-daemon}.
@@ -16171,7 +16171,7 @@ The GNOME package to use.
 @defvr {Scheme Variable} xfce-desktop-service-type
 This is the type of a service to run the @uref{Xfce, https://xfce.org/}
 desktop environment.  Its value is an @code{xfce-desktop-configuration} object
-(see below.)
+(see below).
 
 This service adds the @code{xfce} package to the system profile, and
 extends polkit with the ability for @code{thunar} to manipulate the file
@@ -16191,7 +16191,7 @@ The Xfce package to use.
 @deffn {Scheme Variable} mate-desktop-service-type
 This is the type of the service that runs the @uref{https://mate-desktop.org/,
 MATE desktop environment}.  Its value is a @code{mate-desktop-configuration}
-object (see below.)
+object (see below).
 
 This service adds the @code{mate} package to the system
 profile, and extends polkit with the actions from
@@ -16505,7 +16505,7 @@ Users need to be in the @code{lp} group to access the D-Bus service.
 @defvr {Scheme Variable} gnome-keyring-service-type
 This is the type of the service that adds the
 @uref{https://wiki.gnome.org/Projects/GnomeKeyring, GNOME Keyring}.  Its
-value is a @code{gnome-keyring-configuration} object (see below.)
+value is a @code{gnome-keyring-configuration} object (see below).
 
 This service adds the @code{gnome-keyring} package to the system profile
 and extends PAM with entries using @code{pam_gnome_keyring.so}, unlocking
@@ -22252,10 +22252,10 @@ configuration:
 
 Note that ddclient needs to access credentials that are stored in a
 @dfn{secret file}, by default @file{/etc/ddclient/secrets} (see
-@code{secret-file} below.)  You are expected to create this file manually, in
+@code{secret-file} below).  You are expected to create this file manually, in
 an ``out-of-band'' fashion (you @emph{could} make this file part of the
 service configuration, for instance by using @code{plain-file}, but it will be
-world-readable @i{via} @file{/gnu/store}.)  See the examples in the
+world-readable @i{via} @file{/gnu/store}).  See the examples in the
 @file{share/ddclient} directory of the @code{ddclient} package.
 
 @c %start of fragment
@@ -26330,7 +26330,7 @@ password, and which needs to access the @file{/etc/passwd} and
 obvious security reasons.  To address that, these executables are
 @dfn{setuid-root}, meaning that they always run with root privileges
 (@pxref{How Change Persona,,, libc, The GNU C Library Reference Manual},
-for more info about the setuid mechanism.)
+for more info about the setuid mechanism).
 
 The store itself @emph{cannot} contain setuid programs: that would be a
 security issue since any user on the system can write derivations that
@@ -27467,7 +27467,7 @@ each other:
 Emit in Dot/Graphviz format to standard output the @dfn{service
 extension graph} of the operating system defined in @var{file}
 (@pxref{Service Composition}, for more information on service
-extensions.)
+extensions).
 
 The command:
 
@@ -28028,7 +28028,7 @@ services and service types.  This interface is provided by the
 
 @deffn {Scheme Procedure} service @var{type} [@var{value}]
 Return a new service of @var{type}, a @code{<service-type>} object (see
-below.)  @var{value} can be any object; it represents the parameters of
+below).  @var{value} can be any object; it represents the parameters of
 this particular service instance.
 
 When @var{value} is omitted, the default value specified by @var{type}
@@ -28584,7 +28584,7 @@ Occasionally, important security vulnerabilities are discovered in software
 packages and must be patched.  Guix developers try hard to keep track of
 known vulnerabilities and to apply fixes as soon as possible in the
 @code{master} branch of Guix (we do not yet provide a ``stable'' branch
-containing only security updates.)  The @command{guix lint} tool helps
+containing only security updates).  The @command{guix lint} tool helps
 developers find out about vulnerable versions of software packages in the
 distribution:
 
@@ -29022,7 +29022,7 @@ reason.
 Guix is based on the @uref{https://nixos.org/nix/, Nix package manager},
 which was designed and
 implemented by Eelco Dolstra, with contributions from other people (see
-the @file{nix/AUTHORS} file in Guix.)  Nix pioneered functional package
+the @file{nix/AUTHORS} file in Guix).  Nix pioneered functional package
 management, and promoted unprecedented features, such as transactional
 package upgrades and rollbacks, per-user profiles, and referentially
 transparent build processes.  Without this work, Guix would not exist.
-- 
2.26.2